<?php

//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL);

$fecha = trim($_GET['fecha1']);
$fecha2 = trim($_GET['fecha2']);

if(strlen($fecha)>9 && strlen($fecha2)>9){
	$stamp1 = $timestamp = strtotime($fecha);
	//echo '<br>';
	$stamp2 = $timestamp = strtotime($fecha2);
}



		$finish_timeb = time();
		$texto_finishb= date("d/m/y", $finish_timeb);
		require_once 'PHPExcel/Classes/PHPExcel.php';
		$filename = 'Reporte_Mensajes_Atencion_'.$texto_finishb; //your file name


include_once '../dbconnect.php';
$dhost = '127.0.0.1';
$duser = 'bn_wordpress';
$dpw = '5e601fd753';
$dname = 'vips18';

$connection = mysqli_connect($dhost, $duser, $dpw, $dname);
//print first employee table


if(strlen($fecha)>9 && strlen($fecha2)>9){
	$sql = "SELECT mensaje, MAX(id_mensaje), MAX(fecha_registro), MAX(nombre), MAX(correo), MAX(celular), MAX(problema), MAX(otro_problema), MAX(en_tienda), MAX(estado), MAX(vips), MAX(archivo), MAX(enviado), MAX(token) FROM form_atencion GROUP BY mensaje HAVING cast(MAX(enviado) as unsigned) BETWEEN $stamp1 AND $stamp2 ORDER by  MAX(id_mensaje) DESC";
}

else{
$sql = "SELECT mensaje, MAX(id_mensaje), MAX(fecha_registro), MAX(nombre), MAX(correo), MAX(celular), MAX(problema), MAX(otro_problema), MAX(en_tienda), MAX(estado), MAX(vips), MAX(archivo), MAX(enviado),  MAX(token) FROM form_atencion GROUP BY mensaje ORDER by  MAX(id_mensaje) DESC";	
	
}
$rs_result = $mysqli->query($sql)  or die("Error en".$sql);



$objPHPExcel = new PHPExcel();
/*********************Add column headings START**********************/
		$objPHPExcel->setActiveSheetIndex(0)

					->setCellValue('A1', 'FECHA')
					->setCellValue('B1', 'PROBLEMA')
					->setCellValue('C1', 'NOMBRE')
					->setCellValue('D1', 'TELÉFONO')
					->setCellValue('E1', 'EMAIL')
					->setCellValue('F1', 'ESTADO')
					->setCellValue('G1', 'VIPS')
					->setCellValue('H1', 'EN TIENDA')
					->setCellValue('I1', 'MENSAJE')
					->setCellValue('J1', 'ADJUNTO')
					->setCellValue('K1', 'VER EN WEB');
		/*********************Add column headings END**********************/


$row = 2;
while($subrow = mysqli_fetch_assoc($rs_result))
{
	if($subrow['MAX(en_tienda)'] == "on"){
		$subrow['MAX(en_tienda)'] = "Sí";
	}

if(strlen($subrow['MAX(archivo)']) > 3){
	$adjunto = "https://vips.com.mx/".$subrow['MAX(archivo)'];	
}
else{
	$adjunto = "-";
}
if(strlen($subrow['MAX(problema)']) > 5){
	$problema = $subrow['MAX(problema)'];
}
else{
	if(strlen($subrow['MAX(otro_problema)']) > 5){
		$otro = $subrow['MAX(otro_problema)'];
	}
	else{
		$otro =	"¿Tienes algún otro comentario?";
	}
	$problema = $otro;
}
$token = 'https://vips.com.mx/mensaje-atn?token='.$subrow['MAX(token)'];
 		$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, $subrow['MAX(fecha_registro)']);
 		$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, $problema);
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$row, $subrow['MAX(nombre)']);
		$objPHPExcel->getActiveSheet()->setCellValue('D'.$row, $subrow['MAX(celular)']);
		$objPHPExcel->getActiveSheet()->setCellValue('E'.$row, $subrow['MAX(correo)']);
		$objPHPExcel->getActiveSheet()->setCellValue('F'.$row, $subrow['MAX(estado)']);
		$objPHPExcel->getActiveSheet()->setCellValue('G'.$row, $subrow['MAX(vips)']);
		$objPHPExcel->getActiveSheet()->setCellValue('H'.$row, $subrow['MAX(en_tienda)']);
		$objPHPExcel->getActiveSheet()->setCellValue('I'.$row, $subrow['mensaje']);
		$objPHPExcel->getActiveSheet()->setCellValue('J'.$row, $adjunto);
		$objPHPExcel->getActiveSheet()->setCellValue('K'.$row, $token);

    $row++;
}
/*********************Autoresize column width depending upon contents START**********************/
        foreach(range('A','K') as $columnID) {
			$objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
		}
		/*********************Autoresize column width depending upon contents END***********************/

		$objPHPExcel->getActiveSheet()->getStyle('A1:K1')->getFont()->setBold(true); //Make heading font bold

		/*********************Add color to heading START**********************/
		$styleArray = array(
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'F0F0F0'),
        'size'  => 10,
        'name'  => 'Century Gothic',

    ),
	'fill'  => array(
    'type' => PHPExcel_Style_Fill::FILL_SOLID,
    'color' => array('rgb' => 'DD1B2B')
	),
	'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
        )

	);
		$objPHPExcel->getActiveSheet()
					->getStyle('A1:K1')->applyFromArray($styleArray);
		/*********************Add color to heading END***********************/

		$objPHPExcel->getActiveSheet()->setTitle('Mensajes de Atención al cliente'); //give title to sheet
		$objPHPExcel->setActiveSheetIndex(0);
		header('Content-Type: application/vnd.ms-excel');
		header("Content-Disposition: attachment;Filename=$filename.xls");
		header('Cache-Control: max-age=0');
		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
		$objWriter->save('php://output');
		exit;
?>
